import { AddressActionTypes } from './address.action.type';
import { Action } from '@ngrx/store';
import { Address } from 'src/app/shared/models/user/address.model';

export class GetAllAddressesAction implements Action {
  type: AddressActionTypes = AddressActionTypes.GET_ALL_ADDRESSES;
  constructor(public payload: any) {}
}
export class GetAllAddressesActionSuccess implements Action {
  type: AddressActionTypes = AddressActionTypes.GET_ALL_ADDRESSES_SUCCESS;
  constructor(public payload: Array<Address>) {}
}
export class GetAllAddressesActionError implements Action {
  type: AddressActionTypes = AddressActionTypes.GET_ALL_ADDRESSES_ERROR;
  constructor(public payload: string) {}
}

export class CreateFormAddAddressAction implements Action {
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_ADD_ADDRESS;
  constructor(public payload: void) {}
}
export class CreateFormAddAddressActionSuccess implements Action {
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_ADD_ADDRESS_SUCCESS;
  constructor(public payload: any) {}
}
export class CreateFormAddAddressActionError implements Action {
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_ADD_ADDRESS_ERROR;
  constructor(public payload: string) {}
}

export class SaveNewAddressAction implements Action {
  type: AddressActionTypes = AddressActionTypes.SAVE_NEW_ADDRESS;
  constructor(public payload: Address) {}
}
export class SaveNewAddressActionSuccess implements Action {
  type: AddressActionTypes = AddressActionTypes.SAVE_NEW_ADDRESS_SUCCESS;
  constructor(public payload: Address) {}
}
export class SaveNewAddressActionError implements Action {
  type: AddressActionTypes = AddressActionTypes.SAVE_NEW_ADDRESS_ERROR;
  constructor(public payload: string) {}
}

export class CreateFormUpdateAddressAction implements Action{
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_UPDATE_ADDRESS;
  constructor(public payload: Address){}
}
export class CreateFormUpdateAddressActionSuccess implements Action{
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_UPDATE_ADDRESS_SUCCESS;
  constructor(public payload: Address){}
}
export class CreateFormUpdateAddressActionError implements Action{
  type: AddressActionTypes = AddressActionTypes.CREATE_FORM_UPDATE_ADDRESS_ERROR;
  constructor(public payload: string){}
}

export class UpdateAddressAction implements Action{
  type: AddressActionTypes = AddressActionTypes.UPDATE_ADDRESS;
  constructor(public payload: Address){}
}
export class UpdateAddressActionSuccess implements Action{
  type: AddressActionTypes = AddressActionTypes.UPDATE_ADDRESS_SUCCESS;
  constructor(public payload: Address){}
}
export class UpdateAddressActionError implements Action{
  type: AddressActionTypes = AddressActionTypes.UPDATE_ADDRESS_ERROR;
  constructor(public payload: string){}
}

export class DeleteAddressAction implements Action{
  type: AddressActionTypes = AddressActionTypes.DELETE_ADDRESS;
  constructor(public payload: Address){}
}
export class DeleteAddressActionSuccess implements Action{
  type: AddressActionTypes = AddressActionTypes.DELETE_ADDRESS_SUCCESS;
  constructor(public payload: Address){}
}
export class DeleteAddressActionError implements Action{
  type: AddressActionTypes = AddressActionTypes.DELETE_ADDRESS_ERROR;
  constructor(public payload: string){}
}

export type AddressActionUnion =
  | GetAllAddressesAction
  | GetAllAddressesActionSuccess
  | GetAllAddressesActionError
  | CreateFormAddAddressAction
  | CreateFormAddAddressActionSuccess
  | CreateFormAddAddressActionError
  | SaveNewAddressAction
  | SaveNewAddressActionSuccess
  | SaveNewAddressActionError
  | CreateFormUpdateAddressAction
  | CreateFormUpdateAddressActionSuccess
  | CreateFormUpdateAddressActionError
  | UpdateAddressAction
  | UpdateAddressActionSuccess
  | UpdateAddressActionError
  | DeleteAddressAction
  | DeleteAddressActionSuccess
  | DeleteAddressActionError;
