import { User } from 'src/app/shared/models/user/user.model';
import { Component, Input, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { GetAllUsersAction } from 'src/app/ngrx/user/user.actions';
import { UserState } from 'src/app/ngrx/user/user.state';
import { Router } from '@angular/router';

@Component({
  selector: 'app-user-navbar',
  templateUrl: './user-navbar.component.html',
  styleUrls: ['./user-navbar.component.css']
})
export class UserNavbarComponent implements OnInit {


  constructor(private store: Store<{userReducer: UserState}>, private router: Router) { }

  inputUsersList!: Array<User>
  ngOnInit(): void {

  }

  onUserCreate(){
   this.router.navigateByUrl("/user-create")
  }

  onUsersGetAll(){
    this.store.dispatch(new GetAllUsersAction({},{}));
  }

}
