import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {ButtonModule} from 'primeng/button';
import {TableModule} from 'primeng/table';

import { UserManagerRoutingModule } from './user-manager-routing.module';
import { UserManagementComponent } from './user-management/user-management.component';
import { UserNavbarComponent } from './user-management/user-navbar/user-navbar.component';
import { UsersListComponent } from './user-management/users-list/users-list.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { UserCreateComponent } from './user-management/user-create/user-create.component';
import { UserUpdateComponent } from './user-management/user-update/user-update.component';


@NgModule({
  declarations: [
    UserManagementComponent,
    UserNavbarComponent,
    UsersListComponent,
    UserCreateComponent,
    UserUpdateComponent
  ],
  imports: [
    CommonModule,
    UserManagerRoutingModule,
    ButtonModule,
    TableModule,
    FormsModule,
    ReactiveFormsModule
  ]
})
export class UserManagerModule { }
