import { GetAllAddressesAction } from 'src/app/ngrx/user-s-address/address.action';
import { DeleteAddressAction } from './../../../../ngrx/user-s-address/address.action';
import { MsgState } from './../../../../ngrx/msg.state';
import { AddressState } from './../../../../ngrx/user-s-address/address.state';
import { Router } from '@angular/router';
import { Component, Input } from '@angular/core';
import { Address } from 'src/app/shared/models/user/address.model';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-addresses-list',
  templateUrl: './addresses-list.component.html',
  styleUrls: ['./addresses-list.component.css']
})
export class AddressesListComponent{

  @Input () inputaddressesList!: Array<Address>;

  constructor(private router: Router, private store: Store<{addressReducerSelector: AddressState}>){}

  onAddressEdit(address: Address){
    this.router.navigateByUrl("address-update/"+address.addressID)
  }
  onAddressDelete(address: Address){
    if(window.confirm(MsgState.CONFIRM_DEL)){
      this.store.dispatch(new DeleteAddressAction(address));
    }
  }
}
